Bouncy Castle Cryptography Library 1.85

Package org.bouncycastle.pkcs.bc

BC lightweight API extensions and operators for the PKCS#10 certification request package.

See:
          Description

Class Summary
BcPKCS10CertificationRequest Lightweight extension of PKCS10CertificationRequest that exposes the request's public key as an AsymmetricKeyParameter (no JCA dependency).
BcPKCS10CertificationRequestBuilder Extension of the PKCS#10 builder to support AsymmetricKey objects.
BcPKCS12MacCalculatorBuilder Lightweight builder for the password-based MAC calculator used to protect the integrity of a PKCS#12 PFX (RFC 7292).
BcPKCS12MacCalculatorBuilderProvider Lightweight provider that resolves a PKCS12MacCalculatorBuilder for the MAC algorithm advertised by an incoming PFX's .
BcPKCS12PBEInputDecryptorProviderBuilder Lightweight builder for an InputDecryptorProvider that handles the PKCS#12 password-based encryption schemes from RFC 7292 Appendix C (e.g.
BcPKCS12PBEOutputEncryptorBuilder Lightweight builder for an OutputEncryptor that applies one of the PKCS#12 password-based encryption schemes from RFC 7292 Appendix C.
BcPKCS12PBMac1CalculatorBuilder Lightweight PKCS12MacCalculatorBuilder that produces a PBMAC1 calculator (RFC 8018 ยง7.1) for use as PKCS#12 PFX integrity protection per RFC 9579.
BcPKCS12PBMac1CalculatorBuilderProvider Lightweight PKCS12MacCalculatorBuilderProvider that returns PBMAC1 (RFC 8018 / RFC 9579) MAC calculator builders.
 

Package org.bouncycastle.pkcs.bc Description

BC lightweight API extensions and operators for the PKCS#10 certification request package.


Bouncy Castle Cryptography Library 1.85